Skip to main content
POST
/
project-types
Create a project type
curl --request POST \
  --url https://www.ruddr.io/api/workspace/project-types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "invoiceItemId": "<string>",
  "isActive": true
}
'
{
  "id": "b5e2d8f1-3a47-4c90-b6e1-9f7c2a051d38",
  "name": "Internal Delivery",
  "isActive": true,
  "createdAt": "2025-09-18T14:25:35.149Z",
  "invoiceItem": {
    "id": "72761804-b01e-4c8f-8352-2fcde43261a8",
    "name": "Service"
  }
}
A classification that can be assigned to projects and used to filter reports.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the project type.

invoiceItemId
string
required

The unique identifier of the invoice item associated with this project type.

isActive
boolean

Whether the project type is active.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the project type.

isActive
boolean

Whether the project type is active.

createdAt
string<date-time>

The timestamp when the object was created.

invoiceItem
object

The invoice item associated with this project type.